package com.fs.qw.mapper;


import com.fs.qw.domain.QwForbiddenWords;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 企微违禁词管理Mapper接口
 *
 * @author fs
 * @date 2023-11-22
 */
public interface QwForbiddenWordsMapper
{
    /**
     * 查询企微违禁词管理
     *
     * @param id 企微违禁词管理ID
     * @return 企微违禁词管理
     */
    public QwForbiddenWords selectQwForbiddenWordsById(Long id);

    /**
     * 查询企微违禁词管理列表
     *
     * @param qwForbiddenWords 企微违禁词管理
     * @return 企微违禁词管理集合
     */
    public List<QwForbiddenWords> selectQwForbiddenWordsList(QwForbiddenWords qwForbiddenWords);

    /**
     * 新增企微违禁词管理
     *
     * @param qwForbiddenWords 企微违禁词管理
     * @return 结果
     */
    public int insertQwForbiddenWords(QwForbiddenWords qwForbiddenWords);

    /**
     * 修改企微违禁词管理
     *
     * @param qwForbiddenWords 企微违禁词管理
     * @return 结果
     */
    public int updateQwForbiddenWords(QwForbiddenWords qwForbiddenWords);

    /**
     * 删除企微违禁词管理
     *
     * @param id 企微违禁词管理ID
     * @return 结果
     */
    public int deleteQwForbiddenWordsById(Long id);

    /**
     * 批量删除企微违禁词管理
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteQwForbiddenWordsByIds(Long[] ids);

    @Select("select id,word from qw_forbidden_words")
    List<QwForbiddenWords> QwForbiddenWordsList();
}
